﻿/* ------------------------------------------------------------------------------- *
 * EVAMechJeb
 * Jamis Buck (jamis@jamisbuck.org)
 * 
 * A simple Kerbal Space Program module for adding MechJeb functionality to
 * kerbals on EVA. Requires that MechJeb2 be installed.
 * 
 * Copyright (c) 2014 Jamis Buck
 *
 * http://opensource.org/licenses/MIT
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 * ------------------------------------------------------------------------------- */

using System;
using UnityEngine;
using KSP;

namespace EVAMechJeb
{
	[KSPAddon(KSPAddon.Startup.MainMenu, true)]
	public class EVAMechJeb : MonoBehaviour
	{
		public void Awake() {
			ConfigNode MJ = new ConfigNode ("MODULE");
			MJ.AddValue ("name", "MechJebCore");

			print ("Adding MechJebCore to kerbalEVA");
			PartLoader.getPartInfoByName ("kerbalEVA").partPrefab.AddModule (MJ);
		}
	}
}